Subject: bug#75626: 31.0.50; Dired misses or double-processes files when auto-revert-mode is enabled

From: Tassilo Horn <[email-masked]>
Date: Fri, 17 Jan 2025 22:38:07 +0100

Eli Zaretskii <[email-masked]> writes:

>> > Yes, because auto-revert-mode works as part of the Emacs's main
>> > loop, whereas user input is processed only when Emacs is idle.
>> 
>> I see.  Can emacs become idle when waiting for a process to finish
>> (like gunzip)?
>
> Not if the process was started with call-process.

I see.

>> > Does let-binding inhibit-redisplay in the auto-revert function help
>> > in any way?
>> 
>> Not at all.  (I've bound it to t in the top let in dired-revert which
>> is the revert-buffer-function in dired buffers.  That's what you
>> meant, right?)
>
> No, I meant in auto-revert-buffers.  But maybe what you did has the
> same effect.

I've also tried to bind it in auto-revert-buffers with the same effect.

Bye,
Tassilo